
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>汇编-为什么debug里东西不怎么变？ / iVAN</title>

    <meta name="description" content="汇编-为什么debug里东西不怎么变？ 问题描述 为什么debug里东西不怎么变? 电脑时刻在运行,cpu里的东西不应该是一直在变得吗?我在学汇编,为什么debug时多次r命令,寄存器里的东西不变呐? 解决方案 虽然你的电脑是多任务的,但是具体到一个程序,它的执行是确定的.每个程序的执行有个特定的上下文,有自己的虚拟内存地址.所以执行特定的指令,你看到的寄存器和特定的内存都是一样的. 在你的汇编程序看来,你的计算机是一个8086/8088,你的程序是独占它的,在操作系统看来,你的程序运行在一个v86虚拟机内. 解决方案二: 每个进程都">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">汇编-为什么debug里东西不怎么变？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>为什么debug里东西不怎么变？
        </dt>
<dd>
          <br />电脑时刻在运行，cpu里的东西不应该是一直在变得吗？我在学汇编，为什么debug时多次r命令，寄存器里的东西不变呐？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>虽然你的电脑是多任务的，但是具体到一个程序，它的执行是确定的。每个程序的执行有个特定的上下文，有自己的虚拟内存地址。所以执行特定的指令，你看到的寄存器和特定的内存都是一样的。<br />
在你的汇编程序看来，你的计算机是一个8086/8088，你的程序是独占它的，在操作系统看来，你的程序运行在一个v86虚拟机内。</p>
<p>解决方案二：<br />
    <br />每个进程都有一个4GB的虚拟内存空间，每个线程都有一个特定的上下文（用于存储各寄存器等信息。。）</p>
<p>解决方案三：<br />
    <br />这不奇怪的事啊，比如说多次执行 NOP 指令，即什么也不做的指令，基本上寄存器就不会变了，除了 EIP。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:26:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b0%83%e8%af%95/" title="调试">调试</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96/" title="汇编">汇编</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>汇编-为什么debug里东西不怎么变？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWyJLp.html" rel="bookmark">调试-【急】我在debug里运行成功，但是出不了mfc的对话框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 [急]我在debug里运行成功,但是出不了mfc的对话框 用release编译正常,我打开debug的文件夹,打开exe文件也不行,点了没反应... release里面的点开正常.这是怎么回事?以前都有用的,包括其他的程序都没问题,只有这一个程序有问题: 是代码里面删了什么东西还是设置了什么? 解决方案 debug和release的配置要相同才行. 比如:在debug下加载了一个库,那么在release下也要同样操作一遍,才能是配置相同. 解决方案二: debug和release的配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJ7nkp.html" rel="bookmark">汇编用DEBUG调试程序，如果程序中有输入，怎么办</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 汇编用DEBUG调试程序,如果程序中有输入,怎么办 debug调试一个程序,单步执行到需要输入的代码,debug不会提示输入,一直继续单步执行,这样该怎么调试呢 解决方案 到了输入的代码的地方,程序就会回到控制台中,然后让你输入内容后,才再回到代码里继续调试 解决方案二: 用P指令运行到接收输入的指令的位置会给你输入的机会的. 通常是int 21h中的01号功能接收字符,这个指令是循环等待你的输入,不输入这个指令不往下执行,debug也就断不了. 解决方案三: 单步执行的话,到了需要输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxo2gPb.html" rel="bookmark">&period;net开发的一个接口程序，debug里的EXE执行时不显示界面，进程里有</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 .net开发的一个接口程序,debug里的EXE执行时不显示界面,进程里有 .net开发的一个接口程序,debug里的EXE执行时不显示界面,进程里有,换其他电脑可行,就有一台电脑不行,这台电脑其他程序可以打开,winform架构 解决方案 是不是又死循环在里面,界面被卡死,你在初始化那里下个断点看看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXE4Xp.html" rel="bookmark">汇编的 DEBUG 命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				R:查看.改变CPU寄存器的内容 D:查看内存中的内容 E:改写内存中的内容 U:将内存中的机器指令翻译成汇编指令 T:执行一条机器指令 A:以汇编指令的格式在内存中写入一条机器指令   进入Debug模式,如下: 使用 -e 命令向特定地址的内存中写入数据(例如:本例中向1000:0的内存地址中写入 23 11 22 66 这几个数据),如下: 写入后可以使用 -d 命令来查看,操作如下: 使用 -r 命令可以查看各个寄存器中的值,操作如下: 可也用 -a 指令以汇编语言的形式写入汇编代码,(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8ZNvp.html" rel="bookmark">PS把照片里的朋友变得萌萌哒</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  素材原图: 萌萌哒效果图: 是不是萌萌哒?下面我们就进入正式教程吧 step01:抠图 因为这里我没有用原图的背景,而是直接用黑色的填充层,所以,我们把人物抠出.这里我们抠出身体和头 部.人头的部分,要连带一部分脖子一起抠出,这样可以方便后面与身体的融合.抠图的方式,大叔用的是钢笔. 把头部放大,摆放到你觉得合适的萌萌哒的位置.你会发现,右侧的衣服和颈部有违和感,没事儿,我们慢慢处理. 违和感,我们要把脖子放在衣服下面.这里的处理要灵活一点.我们可以用钢笔做出选区,来进行区域变形调整,让头和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLaKVp.html" rel="bookmark">C&num;中水晶报表使用CrystalReportViewer查看器查看都显示正常，但是打印出来的东西字体会变得很小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 水晶报表使用的是10号的字体,在查看器中的显示中都是正常的,但是一打印,出来的东西就变得很小,不知道为什么啊,有没有大神指导一下啊!!急!急!急! 解决方案			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b33mJb.html" rel="bookmark">VB&period;NET里奇怪的数组赋值现象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数组 今天在写程序过程中发现了.NET里的一个奇怪现象,就是给数组给数组赋值时竟然是&quot;指向数组的地址&quot;,即数组给数组赋值时不是生成一个新的值后传给数组保存,而是传给该数组的地址给数组.打个比方:有数组A和数组B.现在把数组B赋给数组A.而则时数组A不是保存数组B的值而是保存数组B的内存地址,这就产生一个问题:如果数组B的值改变则数组A的值也跟着改变!!!....而在ASP就不是这样情况,VB也可能不是这样,我的机没有VB.所以测试不了... 这样说可能还不是很清楚(我的表达能力就是很差			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PDQQp.html" rel="bookmark">c语言-vs2013C语言问题 debug出现debug assertion failed怎么解决？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 vs2013C语言问题 debug出现debug assertion failed怎么解决? 刚学没几天,指针什么的都还不怎么会用,然后写了个小游戏,里面用到指针来的,运行也成功了,但是debug里的那个exe文件打开不了,会出现debug assertion failed.我觉得应该是我代码写的有问题?指针没有用好? #include #include void read_board(int board[7][8]){ FILE*fptr; int i, j; fptr = fope			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWxAWp.html" rel="bookmark">Windows7 Debug Test</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows7 Debug Test eryar@163.com 1.Introduction 在郁大师的影响下,很早之前买了本王爽老师的&lt;汇编语言&gt;,可惜一直闲置,今天终于得空,可以学习起来了.为了使学习效果更好,还是写点东西记录下来,一方面巩固下知识点,一方面起到一个监督作用. 毕竟不是计算机专业科班出身,这些计算机基础知识只有靠自学.意识到汇编的重要性是从大师可以反汇编和逆向一些软件开始的.汇编在Debug的过程中也有重要作用,如在Debug时看到这种界面,总是有想理解其意义的好奇心:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyrL8p.html" rel="bookmark" class="title">ppt中设置文字间距</a>
					<div>
						新版的PPT中可以直接设置文字间距,但是低版本的如何设置呢?虽然不能直接设置,但也可以达到和word中设置字间距一样的效果.下面以powerpoint 2003为例介绍. 1.新那一个PPT文档.同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAkYJz.html" rel="bookmark" class="title">PhotoShop绘制一个google风格加号图标教程</a>
					<div>
						ps教程学习如何用PhotoShop制作一个简单的google风格加号图标效果,主要用到自定义形状工具和图层样式制作出来的. 先看效果图: 新建文档1000x1000像素,背景白色,新建图层,画一半径 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz46L9M.html" rel="bookmark" class="title">PHP教程&period;应用实例16</a>
					<div>
						教程|应用实例 基于PHP的聊天室(一) 这个经过精心设计的web聊天室使用了从表单传递过来的变量,并且把它们处理为HTML ,然后将其写入文件.把表单和信息文件放在一个框架中,你可以看到它与一个叫B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvlOVz.html" rel="bookmark" class="title">根据表中数据生成insert语句的存储过程</a>
					<div>
						存储过程|数据|语句 有个缺点--就是标识种子的列 也insert了 CREATE   proc spGenInsertSQL (@tablename varchar(256)) as begin d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8xOBp.html" rel="bookmark" class="title">触发器与存储过程互调</a>
					<div>
						触发器|存储过程 :) --触发器如何调用存储过程create trigger test on tablefor insertasexec 存储过程名go   --存储过程如何调用触发器 create ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgejAz.html" rel="bookmark" class="title">SQL猜想</a>
					<div>
						         学 习 中 的 思 考                                 海风   学习计算机知识常常让人陷入无知的恐惧中,过去打破沙堡问到底的精神在这里要有所节制了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Zgvp.html" rel="bookmark" class="title">本文中的知识涉及：</a>
					<div>
						本文中的知识涉及:水晶报表 9适用于:所有版本最新的条形码文件条形码字体类型 大纲 如果你想在水晶报表里显示条形码字体,到哪里找寻最新的条形码功能呢? 解决方案 要了解使用条形码的知识,并下载最新的条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4nKJM.html" rel="bookmark" class="title">SEO诊断旁观者清助你提高网站排名</a>
					<div>
						  每天都有成千上万的企业老板们在说,很想让用户在搜索引擎里一搜看到的就是自己的信息,想通过竞价的方式可是又太烧钱,承受不起如此大的竞价费用,于是乎,企业老板们就纷纷成立自己的SEO团队,想找一些SE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeBGxb.html" rel="bookmark" class="title">第一个Visual Basic应用程序</a>
					<div>
						第一个 Visual Basic 应用程序创建 Visual Basic 应用程序是很简单的事.有多简单?为回答这个问题,试着创建下面的 Hello , Visual Basic 和 Firstapp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYK0z.html" rel="bookmark" class="title">IBM Installation Manager创建并服务于WebSphere Application Server主映像</a>
					<div>
						简介 本文所述的过程使用 IBM Installation Manager,且不需要将其安装在每个系统上.本文介 绍如何将重要的 Installation Manager 数据与产品映像一起打包,以便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNZ0rb.html" rel="bookmark" class="title">红旗Linux4&period;1下安装Apache&plus;Tomcat&plus;PHP&plus;mySQL&plus;vsFTPd实录</a>
					<div>
						这几天试着在红旗Linux桌面版4.1下安装WEB+FTP服务器,已成功安装,现把我的安装过程介绍如下,以给有相似需求的网友参考.整个安装过程分为三大部分,分别是:一.Tomcat+mySQL的安装, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jvj9b.html" rel="bookmark" class="title">ASP&period;NET 2&period;0加密链接字符串</a>
					<div>
						通常都是把与数据库的连接字符串放到web.config文件里,因为有API可以直接访问并取出数据, 但也存在一些安全问题,数据库的连接字符串是以明文的方式在.config文件里的. .NET 里有AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N7Jkz.html" rel="bookmark" class="title">Flash 简单的鼠标翻扑克动画</a>
					<div>
						  通过本例的制作,来加强前面所学知识的理解,并学习如何配合使用达到更好效果,用简单的方法创作很酷的三维效果,在结合创作中加深理解应用. 本例思路:&lt;1&gt; 创建实例背景. &lt;2&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62PlgM.html" rel="bookmark" class="title">浅谈javascript中for in 和 for each in的区别</a>
					<div>
						  区别一: for in是javascript 1.0 中发布的. for each in是作为E4X标准的一部分在javascript 1.6中发布的,而它不是ECMAScript标准的一部分.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDArDBb.html" rel="bookmark" class="title">Python的SQLAlchemy框架使用入门</a>
					<div>
						  这篇文章主要介绍了Python的SQLAlchemy框架使用入门,SQLAlchemy框架是Python中用来操作数据库的ORM框架之一,需要的朋友可以参考下 数据库表是一个二维表,包含多行多列. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKy7AM.html" rel="bookmark" class="title">PHILIPS 17寸台式液晶显示器通电异响不显示&lpar;不亮&rpar;维修实例</a>
					<div>
						一款PHILIPS 17寸台式液晶显示器通电后不亮,并伴随有哒哒的异响声音,如果长按开关会提示&quot;检测输入线路信号&quot;检测发现是开关故障引起的不显示.以下是维修思路及过程. 维修分析过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX6Lnp.html" rel="bookmark" class="title">2种PDF文档加密方法</a>
					<div>
						在互联网.云计算.云存储越来越多的应用环境下,信息安全越发重要,尤其是日常我们使用最多的文档.对文档的安全管理,是每个企业.每个人都必须面对的问题.目前,对于文档数据库的系统级安全保护方案,有诸如&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAP2eM.html" rel="bookmark" class="title">android查看绑定源码</a>
					<div>
						  当我们阅读android API开发文档时候,上面的每个类,以及类的各个方法都是已经写好的方法和控件,可是我们只是在搬来使用,不知道它的原理,它是如何被实现的.android系统是开源的,所以谷歌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdErO2z.html" rel="bookmark" class="title">api-如何用jbehave进行编写测试API的自动化测试代码呢？</a>
					<div>
						问题描述 如何用jbehave进行编写测试API的自动化测试代码呢? 如何用jbehave进行编写测试API的自动化测试代码呢?请各位大神支招..谢谢了 解决方案 http://yangzb.itey ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm6KLz.html" rel="bookmark" class="title">java-jsp页面引入外部css没有效果&excl;&excl;&excl;只求上天赐一大神吧&excl;&excl;&excl;</a>
					<div>
						问题描述 jsp页面引入外部css没有效果!!!只求上天赐一大神吧!!! &lt;%@ page language=&quot;java&quot; contentType=&quot;text/ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYQPAp.html" rel="bookmark" class="title">《CCNP SWITCH 300-115认证考试指南》&mdash;&mdash;1&period;2节分层网络的设计</a>
					<div>
						1.2 分层网络的设计 CCNP SWITCH 300-115认证考试指南 1.2 分层网络的设计 一个园区网络是指包含许多LAN(局域网)的企业网络,这些部署在一幢或多幢建筑物内的LAN能够相互连通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm978M.html" rel="bookmark" class="title">mysql-MySQL中有 一张表格有性别属性，如何控制它的值只能是boy，或者girl&period;在线等待，球帮忙！！</a>
					<div>
						问题描述 MySQL中有 一张表格有性别属性,如何控制它的值只能是boy,或者girl.在线等待,球帮忙!! MySQL中有 一张表格有性别属性,如何控制它的值只能是boy,或者girl.在线等待,球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYaoQp.html" rel="bookmark" class="title">append、insertBefore、after与insertAfter</a>
					<div>
						法  源包装集/字串  目标包装集体  特性描述   a.append(b)   b   a  若目标包装集只匹配一个元素,则源(也包括同源包装集匹配的所有元素)将被移动到目标位置:若目标包装集包含多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDGdqz.html" rel="bookmark" class="title">谷歌新闻推徽章功能：根据用户阅读量分级</a>
					<div>
						新浪科技讯 北京时间7月15日下午消息,谷歌新闻周四推出了全新的&quot;徽章&quot;功能,可以帮助用户追踪自己的阅读习惯,创建更为个性化的体验,并与好友分享内容. 谷歌总共提供500种不同的徽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7n6ZM.html" rel="bookmark" class="title">Lua包管理工具Luarocks详解</a>
					<div>
						摘要: 1. 什么是Luarocks 2. 源码安装部署Luarocks 3. 注册Luarocks为Lua社区贡献自己的代码 4. Luarocks使用初探 讨论话题 什么是Luarocks 源码安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl8gAp.html" rel="bookmark" class="title">开发者的实用 Vim 插件（二）</a>
					<div>
						毫无疑问,Vim 是一个开箱即用并能够胜任编程任务的编辑器,但实际上是该编辑器中的插件帮你实现这些方便的功能.在 开发者的实用 Vim 插件(一),我们已经讨论两个编程相关的 Vim 插件--标签侧边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXLo6z.html" rel="bookmark" class="title">使用 ASMCMD 工具管理ASM目录及文件</a>
					<div>
						--============================== -- 使用ASMCMD 工具管理ASM目录及文件 --==============================       在AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBK9QM.html" rel="bookmark" class="title">前置逗号之争！</a>
					<div>
						前置逗号之争! 个人认为Airbnb的javascript代码规范是写的比较好的, 不过其中有一章关于逗号Commas的使用是这样写的: 前置逗号(Leading commas):不要使用 // ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myeq7kM.html" rel="bookmark" class="title">分众传媒嵇海荣：只要找到证据一定起诉浑水</a>
					<div>
						   &quot;我们现在也在找证据,只要有证据,我们一定起诉他们,&quot;分众传媒控股有限公司(以下简称分众)副总裁嵇海荣提高嗓门说,&quot;分众不存在任何浑水所指责的问题.&quot; 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnqjWM.html" rel="bookmark" class="title">七月博客：靠中文博客做网赚很难</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 时下,自从加拿大华裔博主月赚几万的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
